# Asterisk Project : Asterisk 12 ManagerAction_Setvar

Added by wikibot , edited by wikibot on Aug 29, 2013

# Setvar

### Synopsis

Set a channel variable.

### Description

Set a global or local channel variable.

Note

Icon

If a channel name is not provided then the variable is global.

### Syntax

    Action: Setvar
    ActionID: <value>
    Channel: <value>
    Variable: <value>
    Value: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Channel to set variable for.
- `Variable` - Variable name.
- `Value` - Variable value.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown